# Uses of Class
org.snpeff.vcf.VcfHeaderEntry

Packages that use VcfHeaderEntry
Package
Description
org.snpeff.vcf

## Uses of VcfHeaderEntry in org.snpeff.vcf

Subclasses of VcfHeaderEntry in org.snpeff.vcf
Modifier and Type
Class
Description
`class`
`VcfHeaderFormat`
`class`
`VcfHeaderInfo`
Represents a info elements in a VCF file References: http://www.1000genomes.org/wiki/Analysis/Variant%20Call%20Format/vcf-variant-call-format-version-41 INFO fields should be described as follows (all keys are required): ##INFO=invalid input: '<'ID=ID,Number=number,Type=type,Description=description> Possible Types for INFO fields are: Integer, Float, Flag, Character, and String.
Methods in org.snpeff.vcf that return VcfHeaderEntry
Modifier and Type
Method
Description
`static VcfHeaderEntry`
VcfHeaderEntry.`factory(String line)`
Methods in org.snpeff.vcf with parameters of type VcfHeaderEntry
Modifier and Type
Method
Description
`void`
VcfHeader.`add(VcfHeaderEntry vcfHeader)`
Add header line